import request from "@/request"

// 首页数据
export const home = (data) => {
	return request.get({
		url: '/api/index',
		data: data,
	})
}

// 根据ID获取套餐数据
export const getPackageById = (data) => {
	return request.get({
		url: '/api/getPackageById',
		data: data,
	})
}

// 根据ID获取配置参数
export const getConfigById = (data) => {
	return request.get({
		url: '/api/getConfigById',
		data: data,
	})
}

// 上传文件
export const upload = (data) => {
	return request.post({
		url: '/sys/oss/upload',
		data: data,
	})
}


// 下单
export const save = (data) => {
	return request.post({
		url: '/api/order/save',
		data: data,
	})
}