import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import uView from '@/plugins/uview-ui'
import '@/utils/preCheck.js'
import '@/utils/prototype.js'
import platform from "@/utils/platform" // 平台判断方法
import getEnv from "@/utils/env" // 获取环境变量

import './uni.promisify.adaptor'

Vue.use(uView)

Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif