import platform from "@/utils/platform" // 平台判断方法
import getEnv from "@/utils/env" // 获取环境变量
const defaults = require("./default.js")
const dev = require("./modules/dev.js")
const test = require("./modules/test.js")
const prod = require("./modules/prod.js")
const pre = require("./modules/pre.js")
const ENV = platform() === 'APP-PLUS' ? 'app' : getEnv()
console.log('当前运行平台 :>>', platform())
console.log("当前运行环境 :>> ", ENV)

const BASE = {
	// 本地
	dev,
	// 生产
	prod,
	// 测试
	test,
	// 预发布
	pre,
}

module.exports = Object.assign(defaults, BASE[ENV])
