export default {
	state: {
		token: "",
		userId: "",
		packageEnv: 'prod', // 默认产线环境
	},
	mutations: {
		INIT_DATA(state, data = {}) {
			let token = uni.getStorageSync('token')
			let userId = uni.getStorageSync('userId')
			if (token && userId) {
				state.token = token
				state.userId = userId
			}
		},
		SET_PACKAGEENV(state, env){
			state.packageEnv = env || uni.getStorageSync('packageEnv')
			uni.getStorageSync('packageEnv',env)
		}
	},
	actions: {},
	getter: {
		isLogin(state){
			if(state.token){
				return true;
			}else{
				return false
			}
		}
	}
}
